# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'actuary/version'

Gem::Specification.new do |gem|
  gem.name          = "actuary"
  gem.version       = Actuary::VERSION
  gem.authors       = ["Von Christian Halip"]
  gem.email         = ["vc.halip@gmail.com"]
  gem.homepage      = "https://github.com/vonchristian/actuary"
  gem.summary       = %q{Double entry accounting in ruby.}
  gem.description   = %q{Provide double-entry accounting for ruby on rails applications.}
  gem.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  
  gem.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  gem.bindir        = "exe"
  gem.executables   = gem.files.grep(%r{^exe/}) { |f| File.basename(f) }
  gem.require_paths = ["lib"]

  gem.add_development_dependency "bundler", "~> 1.13"
  gem.add_development_dependency "rake", "~> 10.0"
  gem.add_development_dependency "rspec-rails"
  gem.add_development_dependency "database_cleaner"
  gem.add_development_dependency "shoulda-matchers"
end
